/***************************************************************************
                          dlgdauerauftraginsert.cpp  -  description                              
                             -------------------                                         
    begin                : Tue Aug 17 1999                                           
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "dlgdauerauftraginsert.h"

DlgDauerauftragInsert::DlgDauerauftragInsert(QWidget *parent, const char *name) : QDialog(parent,name,true){
	initDialog();

  connect(OK_PushButton,SIGNAL(clicked()),SLOT(slotOKPressed()));
  connect(Cancel_PushButton,SIGNAL(clicked()),SLOT(reject()));
}

DlgDauerauftragInsert::~DlgDauerauftragInsert(){
}

void DlgDauerauftragInsert::slotOKPressed(){
 bool b;

 if ( (getVerfasser()=="") || (getTitel()=="") || (getSchluessel()=="") ||
      (getFormvorschrift()=="") ||  (getBetrag()=="") || (getIntervall()=="") ||
      (getQuelle()=="") || (getZiel()=="") || (getBuchungstext()=="") )
  {
   QMessageBox fillit_MessageBox("Dokumentenverwaltung","Bitte fllen Sie alle Felder aus.",
                                 QMessageBox::Information, QMessageBox::Ok | QMessageBox::Default,
                                 0,0,this,"fillit_MessageBox",TRUE,0);
   fillit_MessageBox.exec();
   return;
  }

 getBetrag().toFloat(&b);
 if (!b)
  { QMessageBox wrongbetrag_MessageBox("Dokumentenverwaltung","Der von Ihnen eingegebene Betrag ist ungltig.",
                                       QMessageBox::Information, QMessageBox::Ok | QMessageBox::Default,
                                       0,0,this,"wrongbetrag_MessageBox",TRUE,0);
    wrongbetrag_MessageBox.exec();
    return;
  }

 getIntervall().toUInt(&b);
 if (!b)
  { QMessageBox wrongbetrag_MessageBox("Dokumentenverwaltung","Das von Ihnen eingegebene Intervall ist ungltig.",
                                       QMessageBox::Information, QMessageBox::Ok | QMessageBox::Default,
                                       0,0,this,"wrongbetrag_MessageBox",TRUE,0);
    wrongbetrag_MessageBox.exec();
    return;
  }

 accept();

}


QString DlgDauerauftragInsert::getVerfasser(){
 return Verfasser_LineEdit->text();
}

QString DlgDauerauftragInsert::getTitel(){
 return Titel_LineEdit->text();
}

QString DlgDauerauftragInsert::getSchluessel(){
 return Schluessel_LineEdit->text();
}

bool DlgDauerauftragInsert::getGeprueft(){
 return Geprueft_CheckBox->isChecked();
}

bool DlgDauerauftragInsert::getUnterschriftKundeVorhanden(){
 return UnterschriftKundeVorhanden_CheckBox->isChecked();
}

QString DlgDauerauftragInsert::getFormvorschrift(){
 return Formvorschrift_LineEdit->text();
}

QString DlgDauerauftragInsert::getBetrag(){
 return Betrag_LineEdit->text();
}

QString DlgDauerauftragInsert::getIntervall(){
 return Intervall_LineEdit->text();
}

QString DlgDauerauftragInsert::getQuelle(){
 return Quelle_LineEdit->text();
}

QString DlgDauerauftragInsert::getZiel(){
 return Ziel_LineEdit->text();
}

QString DlgDauerauftragInsert::getBuchungstext(){
 return Buchungstext_LineEdit->text();
}



void DlgDauerauftragInsert::setVerfasser(QString NVerfasser)
{ Verfasser_LineEdit->setText(NVerfasser); }

void DlgDauerauftragInsert::setTitel(QString NTitel)
{ Titel_LineEdit->setText(NTitel); }

void DlgDauerauftragInsert::setSchluessel(QString NSchluessel)
{ Schluessel_LineEdit->setText(NSchluessel); }

void DlgDauerauftragInsert::setGeprueft(bool NGeprueft)
{ Geprueft_CheckBox->setChecked(NGeprueft); }

void DlgDauerauftragInsert::setUnterschriftKundeVorhanden(bool NUnterschriftKundeVorhanden)
{ UnterschriftKundeVorhanden_CheckBox->setChecked(NUnterschriftKundeVorhanden); }

void DlgDauerauftragInsert::setFormvorschrift(QString NFormvorschrift)
{ Formvorschrift_LineEdit->setText(NFormvorschrift); }

void DlgDauerauftragInsert::setBetrag(QString NBetrag)
{ Betrag_LineEdit->setText(NBetrag); }

void DlgDauerauftragInsert::setIntervall(QString NIntervall)
{ Intervall_LineEdit->setText(NIntervall); }

void DlgDauerauftragInsert::setQuelle(QString NQuelle)
{ Quelle_LineEdit->setText(NQuelle); }

void DlgDauerauftragInsert::setZiel(QString NZiel)
{ Ziel_LineEdit->setText(NZiel); }

void DlgDauerauftragInsert::setBuchungstext(QString NBuchungstext)
{ Buchungstext_LineEdit->setText(NBuchungstext); }









