/***************************************************************************
                          dlgformularinsert.cpp  -  description                              
                             -------------------                                         
    begin                : Tue Aug 17 1999                                           
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "dlgformularinsert.h"

DlgFormularInsert::DlgFormularInsert(QWidget *parent, const char *name) : QDialog(parent,name,true){
	initDialog();

  connect(OK_PushButton,SIGNAL(clicked()),SLOT(slotOKPressed()));
  connect(Cancel_PushButton,SIGNAL(clicked()),SLOT(reject()));
}

DlgFormularInsert::~DlgFormularInsert(){
}

void DlgFormularInsert::slotOKPressed(){

 if ( (getVerfasser()=="") || (getTitel()=="") || (getSchluessel()=="") ||
      (getFormvorschrift()=="") )
  {
   QMessageBox fillit_MessageBox("Dokumentenverwaltung","Bitte fllen Sie alle Felder aus.",
                      QMessageBox::Information, QMessageBox::Ok | QMessageBox::Default,
                      0,0,this,"fillit_MessageBox",TRUE,0);
   fillit_MessageBox.exec();
  }
  else accept();

}

QString DlgFormularInsert::getVerfasser(){
 return Verfasser_LineEdit->text();
}

QString DlgFormularInsert::getTitel(){
 return Titel_LineEdit->text();
}

QString DlgFormularInsert::getSchluessel(){
 return Schluessel_LineEdit->text();
}

bool DlgFormularInsert::getGeprueft(){
 return Geprueft_CheckBox->isChecked();
}

bool DlgFormularInsert::getUnterschriftKundeVorhanden(){
 return UnterschriftKundeVorhanden_CheckBox->isChecked();
}

QString DlgFormularInsert::getFormvorschrift(){
 return Formvorschrift_LineEdit->text();
}


void DlgFormularInsert::setVerfasser(QString NVerfasser)
{ Verfasser_LineEdit->setText(NVerfasser); }

void DlgFormularInsert::setTitel(QString NTitel)
{ Titel_LineEdit->setText(NTitel); }

void DlgFormularInsert::setSchluessel(QString NSchluessel)
{ Schluessel_LineEdit->setText(NSchluessel); }

void DlgFormularInsert::setGeprueft(bool NGeprueft)
{ Geprueft_CheckBox->setChecked(NGeprueft); }

void DlgFormularInsert::setUnterschriftKundeVorhanden(bool NUnterschriftKundeVorhanden)
{ UnterschriftKundeVorhanden_CheckBox->setChecked(NUnterschriftKundeVorhanden); }

void DlgFormularInsert::setFormvorschrift(QString NFormvorschrift)
{ Formvorschrift_LineEdit->setText(NFormvorschrift); }


